io.vertx.rxjava.ext.shell.system

## Class Process

- java.lang.Object
- - io.vertx.rxjava.ext.shell.system.Process

-     public class Process
      extends Object

  A process managed by the shell.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Process(Process delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Integer` | `exitCode()`
    `Object` | `getDelegate()`
    `Session` | `getSession()`
    `Tty` | `getTty()`
    `boolean` | `interrupt()` Attempt to interrupt the process.
    `boolean` | `interrupt(Handler<Void> completionHandler)` Attempt to interrupt the process.
    `static Process` | `newInstance(Process arg)`
    `void` | `resume()` Suspend the process.
    `void` | `resume(boolean foreground)` Suspend the process.
    `void` | `resume(boolean foreground, Handler<Void> completionHandler)` Suspend the process.
    `void` | `resume(Handler<Void> completionHandler)` Suspend the process.
    `void` | `run()` Run the process.
    `void` | `run(boolean foreground)` Run the process.
    `void` | `run(boolean foregraound, Handler<Void> completionHandler)` Run the process.
    `void` | `run(Handler<Void> completionHandler)` Run the process.
    `Process` | `setSession(Session session)` Set the process session
    `Process` | `setTty(Tty tty)` Set the process tty.
    `ExecStatus` | `status()`
    `void` | `suspend()` Resume the process.
    `void` | `suspend(Handler<Void> completionHandler)` Resume the process.
    `void` | `terminate()` Terminate the process.
    `void` | `terminate(Handler<Void> completionHandler)` Terminate the process.
    `Process` | `terminatedHandler(Handler<Integer> handler)` Set an handler for being notified when the process terminates.
    `void` | `toBackground()` Set the process in background.
    `void` | `toBackground(Handler<Void> completionHandler)` Set the process in background.
    `void` | `toForeground()` Set the process in foreground.
    `void` | `toForeground(Handler<Void> completionHandler)` Set the process in foreground.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Process

          public Process(Process delegate)

  - ### Method Detail

    - #### getDelegate

          public Object getDelegate()

    - #### status

          public ExecStatus status()

      Returns:
        the current process status

    - #### exitCode

          public Integer exitCode()

      Returns:
        the process exit code when the status is otherwise `null`

    - #### setTty

          public Process setTty(Tty tty)

      Set the process tty.
      Parameters:
        `tty` - the process tty
      Returns:
        this object

    - #### getTty

          public Tty getTty()

      Returns:
        the process tty

    - #### setSession

          public Process setSession(Session session)

      Set the process session
      Parameters:
        `session` - the process session
      Returns:
        this object

    - #### getSession

          public Session getSession()

      Returns:
        the process session

    - #### terminatedHandler

          public Process terminatedHandler(Handler<Integer> handler)

      Set an handler for being notified when the process terminates.
      Parameters:
        `handler` - the handler called when the process terminates.
      Returns:
        this object

    - #### run

          public void run()

      Run the process.

    - #### run

          public void run(boolean foreground)

      Run the process.
      Parameters:
        `foreground` -

    - #### run

          public void run(Handler<Void> completionHandler)

      Run the process.
      Parameters:
        `completionHandler` - handler called after process callback

    - #### run

          public void run(boolean foregraound,
                          Handler<Void> completionHandler)

      Run the process.
      Parameters:
        `foregraound` -
        `completionHandler` - handler called after process callback

    - #### interrupt

          public boolean interrupt()

      Attempt to interrupt the process.
      Returns:
        true if the process caught the signal

    - #### interrupt

          public boolean interrupt(Handler<Void> completionHandler)

      Attempt to interrupt the process.
      Parameters:
        `completionHandler` - handler called after interrupt callback
      Returns:
        true if the process caught the signal

    - #### resume

          public void resume()

      Suspend the process.

    - #### resume

          public void resume(boolean foreground)

      Suspend the process.
      Parameters:
        `foreground` -

    - #### resume

          public void resume(Handler<Void> completionHandler)

      Suspend the process.
      Parameters:
        `completionHandler` - handler called after resume callback

    - #### resume

          public void resume(boolean foreground,
                             Handler<Void> completionHandler)

      Suspend the process.
      Parameters:
        `foreground` -
        `completionHandler` - handler called after resume callback

    - #### suspend

          public void suspend()

      Resume the process.

    - #### suspend

          public void suspend(Handler<Void> completionHandler)

      Resume the process.
      Parameters:
        `completionHandler` - handler called after suspend callback

    - #### terminate

          public void terminate()

      Terminate the process.

    - #### terminate

          public void terminate(Handler<Void> completionHandler)

      Terminate the process.
      Parameters:
        `completionHandler` - handler called after end callback

    - #### toBackground

          public void toBackground()

      Set the process in background.

    - #### toBackground

          public void toBackground(Handler<Void> completionHandler)

      Set the process in background.
      Parameters:
        `completionHandler` - handler called after background callback

    - #### toForeground

          public void toForeground()

      Set the process in foreground.

    - #### toForeground

          public void toForeground(Handler<Void> completionHandler)

      Set the process in foreground.
      Parameters:
        `completionHandler` - handler called after foreground callback

    - #### newInstance

          public static Process newInstance(Process arg)

Copyright © 2016. All rights reserved.